<template>
    <div class="container">
      <h1>Modificar Activo</h1>
  
      <div class="card">
        <div class="card-content">
          <form @submit.prevent="update()">
            <p>Tipo de Activo: <input type="text" v-model="payload.tipo_activo" required /></p>
            <p>Marca: <input type="text" v-model="payload.marca" required /></p>
            <p>Modelo: <input type="text" v-model="payload.modelo" required /></p>
            <p>
                <select v-model="payload.estado">
                    <option value="Nuevo">Nuevo</option>
                    <option value="Usado">Usado</option>
                    <option value="En Desuso">En Desuso</option>
                </select>
            </p>
            <p v-if="areas.length > 0">
                <select v-model="payload.areaId">
                    <option :value="area.id" v-for="area in areas">{{area.nombre}}</option>
                </select>
            </p>
            <button type="submit" class="waves-effect waves-light btn-small" >Modificar</button>
          </form>
        </div>
      </div>
    </div>
  </template>
  
  <script>
  
  export default {
    name: 'ActivoUpdateView',
    data(){
      const api = process.env.VUE_APP_API;
      return {
        api,
        items:[],
        areas: [],
        payload:{
          tipo_activo:null,
          marca: null,
          modelo: null,
          estado: null,
          areaId: null
        }
      }
    },
    methods: {
      getOne(){
        this.axios({
          method: 'get',
          url: this.api+'/activos/'+this.$route.params.id
        }).
        then((response)=>{
          this.payload = response.data;
        }).
        catch((error)=>{
          console.log(error);
        });
      },
      update(){
        if(confirm("Esta seguro de modificar este Activo?")){
          this.axios({
            method: 'patch',
            url: this.api+'/activos/'+this.$route.params.id,
            data: this.payload
          }).
          then((response)=>{
            console.log(response);
            window.location.href = '/activo';
          }).
          catch((error)=>{
            console.log(error);
          });
        }
      },
      getAreaList(){
        this.axios({
          method: 'get',
          url: this.api+'/areas'
        }).
        then((response)=>{
          this.areas = response.data;
          const intervalo = setTimeout(() => {
            this.intSelect();
            clearTimeout(intervalo);
          }, 4000);
        }).
        catch((error)=>{
          console.log(error);
        })
      },
      intSelect(){
        this.getOne();
        this.getAreaList();
        var elems = document.querySelectorAll('select');
        var instances = M.FormSelect.init(elems);
      }
    },
    components: {
     
    },
    mounted(){
      this.getOne();
      this.getAreaList();
    }
  }
  </script>
  